## org.opengis.geometry.aggregate
Interface MultiPrimitive

All Superinterfaces:
  Aggregate, Geometry, TransfiniteSet

All Known Subinterfaces:
  MultiCurve, MultiPoint, MultiSurface

    @UML(identifier="GM_MultiPrimitive",
         specification=ISO_19107)
    public interface MultiPrimitive

extends Aggregate

Specialization of the Aggregate interface that restricts the elements to only being of type Primitive.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`Set<? extends Primitive>` `getElements()` Returns the set containing the elements that compose this aggregate.

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### getElements

    Set<? extends Primitive> getElements()

  Description copied from interface: `Aggregate`
  Returns the set containing the elements that compose this aggregate. The set may be modified if this geometry is mutable.

  Specified by:
    `getElements` in interface `Aggregate`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.